ustrncat(3)

NAME
ustrncat - Concatenates a string to another one, specifying size. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char *ustrncat(char *dest, const char *src, int n);

DESCRIPTION
This function is like ustrcat() except that no more than `n' characters from `src' are appended to the end of `dest'. If the terminating null character in `src' is reached before `n' characters have been written, the null character is copied, but no other characters are written. If `n' characters are written before a terminating null is encountered, the function appends its own null character to `dest', so that `n+1' characters are written. You should try to avoid this function because it is very easy to overflow the destination buffer. Use ustrzncat instead.

RETURN VALUE
The return value is the value of `dest'.

SEE ALSO
uconvert(3), ustrcat(3), ustrzncat(3)